﻿

/******************************************
             AJUSTES GRIDVIEW
******************************************/

tr.paginacao-grid > td > table > tbody > tr {
    position: relative;
    display: inline-block;
    vertical-align: middle;
}

tr.paginacao-grid > td > table > tbody > tr > td > span, tr.paginacao-grid > td > table > tbody > tr > td > a {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
    margin-left: 0px;
    margin-bottom: 5px;
    position: relative;
    float: left;
    color: inherit;
    background: none repeat scroll 0% 0% #FFF;
    border: 1px solid #E7EAEC;
    border-radius: 3px;
    display: inline-block;
    padding: 6px 12px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    -moz-user-select: none;
}

tr.paginacao-grid > td > table > tbody > tr > td > span {
    z-index: 2;
    background-image: none;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.15) inset;
    color: inherit;
    border: 1px solid #D2D2D2;
    outline: 0px none;
    pointer-events: none;
    cursor: not-allowed;
}


.grid-log > thead > tr > th,
.grid-log > tbody > tr > th,
.grid-log > tfoot > tr > th,
.grid-log > thead > tr > td,
.grid-log > tbody > tr > td,
.grid-log > tfoot > tr > td {
    border: 1px solid transparent;
    border-bottom: 1px solid #e7eaec;
    line-height: 1.42857;
    padding: 8px;
    vertical-align: top;
}

.grid-log > tbody > tr:first-child > th {
    text-align: center;
}

.sem-cabecalho {
}

body.kronos-inspinia .table tr.TrSmallFont > td {
    font-size: 0.85em;
    padding: 1px 4px;
}

.table tr.TrSmallFont td input.form-control {
    font-size: 1em;
    padding: 1px 2px 1px 2px;
    height: 19px;
}

body.kronos-inspinia table.table > thead > tr:first-child > th {
    height: 25px;
}

/*body.kronos-inspinia .table > tbody > tr > td {
    word-break: break-word;
}*/

/******************************************
             AJUSTES forms
******************************************/

.row-hr-line-dashed {
    border-top: 1px dashed #e7eaec;
    color: #ffffff;
    background-color: #e7eaec;
    height: 2px;
    margin: 11px 0;
}

.bg-title {
    background-color: #164E79;
    color: #fff;
}

/*.ibox div[class^="col-"], .panel-body div[class^="col-"] {
    margin-bottom: 5px;
}*/

.well {
    text-align: center;
    margin-bottom: 15px;
}

/*.ibox-content > .row {
    display: flex;
    align-items: flex-end;
}*/

.span-label { /* Converte span pro estilo da label nos casos de <asp:Label> */
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: 700;
}

textarea.form-control {
    min-height: 5em;
}

.btn-outline[disabled] {
    color: #333;
    background-color: #e6e6e6;
    border: 1px solid #d2d2d2;
    cursor: not-allowed;
}

.borda {
    border: 1px solid #e7eaec;
}

/******************************************
        AJUSTES Modal Popup LEGADO
******************************************/
.modal-container {
    display: none;
    text-align: center;
}

.PopupScroll label {
    font-weight: normal;
}

#page-wrapper > .row:first-child,
#caminhoFormulario {
    margin-bottom: 0px;
}



/******************************************
                 PRELOADERS
******************************************/
div#preloader-full, div#sessaoExpirada{
    display: none;
}

div#preloader, div#preloader-full, div#sessaoExpirada, #preloader-arquivos {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 3000;
    width: 100%;
    height: 100%;
    overflow: visible;
    opacity: 0.6;
}

div#preloader{
    background: #fff url('../img/kronos-ajax-loader.gif') no-repeat center center;
}

div#preloader-arquivos {
    background: #fff url('../img/kronos-ajax-loader.gif') no-repeat center center;
}

div#sessaoExpirada {
    background: #000;
    opacity: 0.8;
    /*display: block;*/
}

div#sessaoExpirada > div {
    text-align: center;
    width: 300px;
    margin: 300px auto;
    padding: 20px;
    color: #fff;
    font-size: 25px;
    font-weight: bolder;
}



/******************************************
     Agile div's da página Default.aspx
******************************************/
.agile-list .success-element-agile {
    border-left: 3px solid #81C34D !important;
}

.agile-list .info-element-agile {
    border-left: 3px solid #164E79 !important;
}

.agile-list .warning-element-agile {
    border-left: 3px solid #f8ac59 !important;
}

.agile-list .danger-element-agile {
    border-left: 3px solid #ed5565 !important;
}

.agile-list .div-agile:hover {
    cursor: pointer;
    background: #fff;
}

.agile-list .div-agile {
    background: #FAFAFB;
    border: 1px solid #e7eaec;
    margin: 0px 0 10px 0;
    padding: 10px;
    border-radius: 2px;
}


/******************************************
            Campos inválidos
******************************************/

.invalido {
    border: 1px dotted red !important;
    background-color: #FFE5F0 !important;
}




/******************************************
           Elementos flutuantes
******************************************/
.elemento-flutuante {
    position: fixed;
    z-index: 980;
}



    .elemento-flutuante > div {
        position: relative;
        overflow: hidden;
        margin: 10px 6px;
        padding: 15px 15px 15px 50px;
        -moz-border-radius: 3px;
        -webkit-border-radius: 3px;
        border-radius: 3px;
        background-position: 15px center;
        background-repeat: no-repeat;
        -moz-box-shadow: 0 0 12px #999;
        -webkit-box-shadow: 0 0 12px #999;
        box-shadow: 0 0 12px #999;
        opacity: .9;
        -ms-filter: alpha(Opacity=80);
        filter: alpha(opacity=80);
        border-left: 3px solid #164E79 !important;
    }

.elemento-flutuante-background {
    background-color: #FAFAFB !important;
    border: 1px solid #e7eaec;
    color: #676a6c;
}

body.mini-navbar div.toast-bottom-full-width.elemento-flutuante {
    width: auto;
    margin: auto;
    padding-left: 75px;
    padding-bottom: 25px;
}

div.toast-bottom-full-width.elemento-flutuante {
    width: auto;
    margin: auto;
    padding-left: 220px;
    padding-bottom: 35px;
}


/******************************************
            BootstrapDialog
******************************************/

.kronos-dialog .modal-dialog {
    width: 90%;
}

.bootstrap-dialog-draggable {
    cursor: move;
}





/******************************************
           Elementos MasterPage
******************************************/


[id$='_divInfoDesenv'] {
    top: 20px;
    left: 290px;
    font-size: 15px;
    width: auto;
    position: absolute;
    margin: 0 auto;
}

#atualizacoes {
    top: 50px;
    right: 290px;
    width: auto;
    position: absolute;
    margin: 0 auto;
}

    #atualizacoes > div {
        padding: 5px;
    }

/*#temporizador {    
    width: auto;    
    margin: 0 auto;
}*/

/*#temporizador > div {
        padding: 10px;
    }*/

/*#reiniciarTemporizador {
    top: 30px;
    right: 210px;
    width: auto;
    position: absolute;
    margin: 0 auto;
    display: none;
}
*/

#preloader {
    display: block;
}






/******************************************
           Elementos Diversos
******************************************/

span.bg-text {
    background-color: transparent !important;
    border: none !important;
}


/******************************************
             AJUSTES nestable
******************************************/

.dd-cabecalho {
    height: 54px;
}

.dd-tamanho-30 {
    width: 30px;
}

.dd-tamanho-50 {
    width: 50px;
}

.dd-tamanho-60 {
    width: 60px;
}

.dd-tamanho-70 {
    width: 70px;
}

.dd-tamanho-80 {
    width: 80px;
}

.dd-tamanho-90 {
    width: 90px;
}

.dd-tamanho-100 {
    width: 100px;
}

.dd-tamanho-110 {
    width: 110px;
}

.dd-tamanho-120 {
    width: 120px;
}

.dd-tamanho-150 {
    width: 150px;
}

.dd-tamanho-180 {
    width: 180px;
}

.dd-tamanho-250 {
    width: 250px;
    margin: 0 0 10px 10px;
}

.dd-tamanho-270 {
    width: 270px;
}

.dd-tamanho-300 {
    width: 300px;
}

.dd-text-warning {
    color: #c78600;
}

.dd-text-error {
    color: #a94442;
}

.dd-text-align-right {
    text-align: right;
}

.dd-text-align-center {
    text-align: center;
}

.dd-text-align-vertical {
    line-height: 38px;
}

.dd-border-bottom {
    border-bottom: 1px solid;
}

.dd-font-normal, .dd-font-normal span {
    font-weight: normal;
}
/*
    

    TOASTR


*/

/*.toast {
    content: '';
}

    .toast h2 {
        border: none;
        color: #fff;
    }

.toast-title {
    font-weight: 700;
    font-size: 20px;
}

.toast-message {
    font-size: 15px;
}

#toast-container {
    margin-bottom: 50px;
}

    #toast-container > div {
        width: 400px;
    }

*/

/*
    

    TOASTR


*/


/*Mudar object comportamento dos campos disabled param readonly param permitir copiar ellipse colar desses campos.*/
input[readonly=readonly], textarea[readonly=readonly] {
    background-color: #f3f3f4 !important;
    cursor: not-allowed !important;
}

/*Alterar o ponteiro do mouse dos elementos 'a' quando este possuir a propriedade 'disabled' ativa*/
table.GridView > tbody > tr > td > a.LinkButton[disabled=disabled],
a.LinkButton[disabled=disabled],
.bloqueado {
    cursor: not-allowed;
}


.panel-body2 {
    margin-left: 0px;
    width: 100%;
    border-top: 1px solid #e7eaec;
    position: static;
    background: #fff;
    border: 1px solid #e7eaec;
    border-radius: 2px;
    padding: 20px;
}

/*menu lateral*/
#side-menu > li > ul.nav {
    width: 215px;
}

body.mini-navbar .navbar-default .nav > li > .nav-second-level li a {
  font-size: 11px;
  border-radius: 3px;
}

.mini-navbar .nav-second-level li a {
  padding: 8px 10px 8px 15px;
}

/*.nav-third-level li a {
    padding-left: 62px;
}*/

.drop-input select {
    display: inline-block !important;
}

.drop-input input {
    display: inline-block !important;
    vertical-align: bottom !important;
}

.drop-input span {
    display: inline-block;
    width: 50% !important;
}

/*label span {
    font-size: 12px;
    margin-left: 15px;
}*/

input[type=date] {
    line-height: normal;
}
